/* -------------+++++ PRELOADER */
#preloader {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: #343434;
    z-index: 99999;
    display: grid;
    place-items: center;
}

.cssload-thecube {
    width: 66px;
    height: 66px;
    margin: 0 auto;
    margin-top: 44px;
    position: relative;
    transform: rotateZ(45deg);
    -o-transform: rotateZ(45deg);
    -ms-transform: rotateZ(45deg);
    -webkit-transform: rotateZ(45deg);
    -moz-transform: rotateZ(45deg);
}
.cssload-thecube .cssload-cube {
    position: relative;
    transform: rotateZ(45deg);
    -o-transform: rotateZ(45deg);
    -ms-transform: rotateZ(45deg);
    -webkit-transform: rotateZ(45deg);
    -moz-transform: rotateZ(45deg);
}
.cssload-thecube .cssload-cube {
    float: left;
    width: 50%;
    height: 50%;
    position: relative;
    transform: scale(1.1);
    -o-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
}
.cssload-thecube .cssload-cube:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--primary);
    animation: cssload-fold-thecube 2.76s infinite linear both;
    -o-animation: cssload-fold-thecube 2.76s infinite linear both;
    -ms-animation: cssload-fold-thecube 2.76s infinite linear both;
    -webkit-animation: cssload-fold-thecube 2.76s infinite linear both;
    -moz-animation: cssload-fold-thecube 2.76s infinite linear both;
    transform-origin: 100% 100%;
    -o-transform-origin: 100% 100%;
    -ms-transform-origin: 100% 100%;
    -webkit-transform-origin: 100% 100%;
    -moz-transform-origin: 100% 100%;
}
.cssload-thecube .cssload-c2 {
    transform: scale(1.1) rotateZ(90deg);
    -o-transform: scale(1.1) rotateZ(90deg);
    -ms-transform: scale(1.1) rotateZ(90deg);
    -webkit-transform: scale(1.1) rotateZ(90deg);
    -moz-transform: scale(1.1) rotateZ(90deg);
}
.cssload-thecube .cssload-c3 {
    transform: scale(1.1) rotateZ(180deg);
    -o-transform: scale(1.1) rotateZ(180deg);
    -ms-transform: scale(1.1) rotateZ(180deg);
    -webkit-transform: scale(1.1) rotateZ(180deg);
    -moz-transform: scale(1.1) rotateZ(180deg);
}
.cssload-thecube .cssload-c4 {
    transform: scale(1.1) rotateZ(270deg);
    -o-transform: scale(1.1) rotateZ(270deg);
    -ms-transform: scale(1.1) rotateZ(270deg);
    -webkit-transform: scale(1.1) rotateZ(270deg);
    -moz-transform: scale(1.1) rotateZ(270deg);
}
.cssload-thecube .cssload-c2:before {
    animation-delay: 0.35s;
    -o-animation-delay: 0.35s;
    -ms-animation-delay: 0.35s;
    -webkit-animation-delay: 0.35s;
    -moz-animation-delay: 0.35s;
}
.cssload-thecube .cssload-c3:before {
    animation-delay: 0.69s;
    -o-animation-delay: 0.69s;
    -ms-animation-delay: 0.69s;
    -webkit-animation-delay: 0.69s;
    -moz-animation-delay: 0.69s;
}
.cssload-thecube .cssload-c4:before {
    animation-delay: 1.04s;
    -o-animation-delay: 1.04s;
    -ms-animation-delay: 1.04s;
    -webkit-animation-delay: 1.04s;
    -moz-animation-delay: 1.04s;
}

@keyframes cssload-fold-thecube {
    0%,
    10% {
        transform: perspective(122px) rotateX(-180deg);
        opacity: 0;
    }
    25%,
    75% {
        transform: perspective(122px) rotateX(0deg);
        opacity: 1;
    }
    90%,
    100% {
        transform: perspective(122px) rotateY(180deg);
        opacity: 0;
    }
}

@-o-keyframes cssload-fold-thecube {
    0%,
    10% {
        -o-transform: perspective(122px) rotateX(-180deg);
        opacity: 0;
    }
    25%,
    75% {
        -o-transform: perspective(122px) rotateX(0deg);
        opacity: 1;
    }
    90%,
    100% {
        -o-transform: perspective(122px) rotateY(180deg);
        opacity: 0;
    }
}

@-ms-keyframes cssload-fold-thecube {
    0%,
    10% {
        -ms-transform: perspective(122px) rotateX(-180deg);
        opacity: 0;
    }
    25%,
    75% {
        -ms-transform: perspective(122px) rotateX(0deg);
        opacity: 1;
    }
    90%,
    100% {
        -ms-transform: perspective(122px) rotateY(180deg);
        opacity: 0;
    }
}

@-webkit-keyframes cssload-fold-thecube {
    0%,
    10% {
        -webkit-transform: perspective(122px) rotateX(-180deg);
        opacity: 0;
    }
    25%,
    75% {
        -webkit-transform: perspective(122px) rotateX(0deg);
        opacity: 1;
    }
    90%,
    100% {
        -webkit-transform: perspective(122px) rotateY(180deg);
        opacity: 0;
    }
}

@-moz-keyframes cssload-fold-thecube {
    0%,
    10% {
        -moz-transform: perspective(122px) rotateX(-180deg);
        opacity: 0;
    }
    25%,
    75% {
        -moz-transform: perspective(122px) rotateX(0deg);
        opacity: 1;
    }
    90%,
    100% {
        -moz-transform: perspective(122px) rotateY(180deg);
        opacity: 0;
    }
}

/* ****************************
      Back to top
******************************* */
#myBtn {
    display: none;
    position: fixed;
    bottom: 15%;
    right: 1%;
    z-index: 8;
    cursor: pointer;
    width: 2rem;
    height: 2rem;
    background-color: var(--bg-fff);
    border: 2px solid var(--secoundry);
    color: var(--secoundry);
    transition: all 0.9s ease;
    border-radius: 100%;
    justify-content: center;
    align-items: center;
    font-size: 10px;
}

#myBtn:hover {
    background-color: var(--primary);
    color: var(--secoundry);
}

#myBtn span {
    text-decoration: none;
    transition: all 0.5s ease;
}

#myBtn:hover span {
    transform: translateY(-3px);
    text-decoration: none;
    display: flex !important;
    justify-content: center;
    align-items: center;
}

@media (max-width: 700px) {
    #myBtn:hover span {
        transform: translateY(0);
    }
}

/* **********************************
        POPUP MODULE (#POOP545)
*********************************** */
/* ==> Review Popup */
.popup-container {
    width: 100%;
    height: 100dvh;
    overflow: hidden;
    transform: translate3d(0, 0, 0);
    position: fixed;
    top: 0;
    left: 0;
    z-index: +50;
    padding: 1.5rem;
    background: rgba(31, 31, 31, 0.692);
    backdrop-filter: blur(5px);
    display: none;
}
.popup-container.show {
    display: block;
    animation: showPop 0.5s ease;
}
@keyframes showPop {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.popup-container.hide {
    animation: hidePop 0.5s ease;
}
@keyframes hidePop {
    0% {
        opacity: 1;
        display: block;
    }
    95% {
        opacity: 0;
        display: block;
    }
    100% {
        opacity: 0;
        display: none;
    }
}

.popup-container .popup {
    width: 100%;
    margin: auto;
    padding: 0.94rem 1.1rem 1.6rem 1.56rem;
    border-radius: var(--radious-prim);
    border: var(--border-prim);
    background: rgb(248 248 248);
}
.popup-container .popup.w-m {
    max-width: 55rem;
}
.popup-container .popup.w-s {
    max-width: 35rem;
}

.popup-container.show .popup {
    transform-origin: top center;
    animation: showPopForm 0.5s ease;
}
@keyframes showPopForm {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}

.popup-container.hide .popup {
    animation: hidePopForm 0.5s ease;
}
@keyframes hidePopForm {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}

.popup-container .popup .module-body {
    padding-right: 0.5rem;
    max-height: calc(100dvh - 10rem);
    overflow-y: auto;
}
.popup-container .popup .module-body::-webkit-scrollbar {
    width: 0.2rem;
    border-radius: 50px;
}
.popup-container .popup .module-body::-webkit-scrollbar-thumb {
    background: var(--text-300);
}

.popup-container .close-box {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-bottom: 2rem;
    gap: var(--gap-card);
}
.popup-container .close-box .title-box {
    flex-grow: 1;
}
.popup-container .close-box .title-box > * {
    margin: 0;
}
.popup-container .close-box button {
    padding: 0;
    font-size: 1.12rem;
    color: red;
    flex-shrink: 0;
}
.popup-container .close-box button:hover {
    transform: scale(1.1);
}

.popup-container form {
    display: grid;
    width: 100%;
    gap: var(--gap-card);
    border: none;
    padding: 0;
    border-radius: 0;
}

/* **********************************
        OFFCANVAS (#001OFFCNV)
*********************************** */
.offcanvas-sec {
    --offcnv-w-plu: 25rem;
    --offcnv-w-min: -25rem;
    --offcnv-padding: 1.25rem 1.25rem 0;
}

.offcanvas-sec.lg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0);
    z-index: +10;
    display: none;
}
.offcanvas-sec.lg.hide {
    animation: aniHideCSec 0.3s linear forwards;
}
@keyframes aniHideCSec {
    0% {
        background: rgba(0, 0, 0, 0.38);
        display: block;
    }
    100% {
        background: rgba(0, 0, 0, 0);
        display: none;
    }
}

.offcanvas-sec.lg.show {
    display: block;
    animation: aniShowCSec 0.3s linear forwards;
}
@keyframes aniShowCSec {
    0% {
        background: rgba(0, 0, 0, 0);
    }
    100% {
        background: rgba(0, 0, 0, 0.38);
    }
}

.offcanvas-sec.lg .offcanvas {
    position: absolute;
    top: 0;
    right: var(--offcnv-w-min);
    width: 100%;
    max-width: var(--offcnv-w-plu);
    height: 100%;
    height: 100dvh;
    flex-shrink: 0;
    background-color: white;
    padding: var(--offcnv-padding);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.offcanvas-sec.lg.hide .offcanvas {
    animation: hidecartbox 0.3s linear forwards;
}
@keyframes hidecartbox {
    0% {
        right: 0;
    }
    100% {
        right: var(--offcnv-w-min);
    }
}

.offcanvas-sec.lg.show .offcanvas {
    animation: showcartbox 0.3s linear forwards;
}
@keyframes showcartbox {
    0% {
        right: var(--offcnv-w-min);
    }
    100% {
        right: 0;
    }
}

/* ==> HEAD */
.offcanvas-sec.lg .offcanvas .offcanvas-head {
    border-bottom: var(--border-dark);
    padding: 0 0 1rem 0;
    display: flex;
    justify-content: space-between;
    flex-shrink: 0;
}
.offcanvas-sec.lg .offcanvas-head .offcanvas-title {
    text-transform: capitalize;
    font-weight: 600;
    font-size: 1rem;
    margin: 0;
    flex-shrink: 0;
}
.offcanvas-sec.lg .offcanvas-head .offcanvas-title .badge {
    font-size: 0.75rem;
    margin-left: 0.31rem;
    background: var(--primary);
    color: white;
    border-radius: 3.13rem;
    padding: 0.19rem 0.8rem;
}

/* ==> BODY */
.offcanvas-sec.lg .offcanvas .offcanvas-body {
    padding: 1.25rem 0;
    flex-grow: 1;
    overflow-y: auto;
}

/* For Mobile view Offcanvas */
.offcanvas-sec.sm .offcanvas .offcanvas-head {
    display: none;
}
/* .offcanvas-sec.sm .offcanvas .offcanvas-body {
  display: none;
} */

.offcanvas-sec .offcanvas .offcanvas-body::-webkit-scrollbar {
    width: 0;
}

@media (max-width: 900px) {
    .offcanvas-sec.sm {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0);
        z-index: +10;
        display: none;
    }
    .offcanvas-sec.sm.hide {
        animation: aniHideCSec 0.3s linear forwards;
    }

    .offcanvas-sec.sm.show {
        display: block;
        animation: aniShowCSec 0.3s linear forwards;
    }

    .offcanvas-sec.sm .offcanvas {
        position: absolute;
        top: 0;
        right: var(--offcnv-w-min);
        width: 100%;
        max-width: var(--offcnv-w-plu);
        height: 100%;
        height: 100dvh;
        flex-shrink: 0;
        background-color: white;
        padding: var(--offcnv-padding);
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    .offcanvas-sec.sm.hide .offcanvas {
        animation: hidecartbox 0.3s linear forwards;
    }

    .offcanvas-sec.sm.show .offcanvas {
        animation: showcartbox 0.3s linear forwards;
    }

    /* ==> HEAD */
    .offcanvas-sec.sm .offcanvas .offcanvas-head {
        display: block;
        border-bottom: var(--border-dark);
        padding: 0 0 1rem 0;
        display: flex;
        justify-content: space-between;
        flex-shrink: 0;
    }
    .offcanvas-sec.sm .offcanvas-head .offcanvas-title {
        text-transform: capitalize;
        font-weight: 600;
        font-size: 1rem;
        margin: 0;
        flex-shrink: 0;
    }
    .offcanvas-sec.sm .offcanvas-head .offcanvas-title .badge {
        font-size: 0.75rem;
        margin-left: 0.31rem;
        background: var(--primary);
        color: white;
        border-radius: 3.13rem;
        padding: 0.19 0.5rem;
    }

    /* ==> BODY */
    .offcanvas-sec.sm .offcanvas .offcanvas-body {
        padding: 1.25rem 0;
        flex-grow: 1;
        overflow-y: auto;
        display: block;
    }
}

@media (max-width: 450px) {
    .offcanvas-sec {
        --offcnv-w-plu: 20.63rem;
        --offcnv-w-min: -20.63rem;
    }
}
@media (max-width: 340px) {
    .offcanvas-sec {
        --offcnv-w-plu: 18.44rem;
        --offcnv-w-min: -18.44rem;
    }
}

/* ****************************
        DROPDOWN (#002DROP)
******************************* */
.DROPDOWN {
    position: relative;
    flex-shrink: 0;
}
.DROPDOWN .dropdown-menu {
    padding-top: 10px;
    position: absolute;
    top: 100%;
    z-index: +5;
    transform: translateY(30px);
    display: none;
    opacity: 0;
}
.DROPDOWN .dropdown-menu.float-r {
    right: 0;
}
.DROPDOWN .dropdown-menu.float-l {
    left: 0;
}
.DROPDOWN:hover .dropdown-menu {
    display: block;
    animation: showDropdown 0.3s linear forwards;
}
@keyframes showDropdown {
    0% {
        transform: translateY(30px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

/* ****************************
       BREADCRUMBS (#BCRM458)
******************************* */
/* ===> Main Breadcrumb */
.Breadcrumb {
    background: #f9f3f0;
    background-image:
        linear-gradient(to right, rgba(32, 32, 32, 0.6), rgba(32, 32, 32, 0.6)),
        url("../Images/sliderinfo/sl1.jpg");
    background-size: cover !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
}
.Breadcrumb .container {
    padding: 50px 0;
}
.Breadcrumb .mainHD {
    margin-bottom: 1.2rem;
    color: var(--text-fff);
}
.Breadcrumb .mainHD {
    margin-bottom: 1.2rem;
    color: var(--text-fff);
}

.Breadcrumb .pg-navigator span {
    color: var(--text-fff);
}

/* ===> Mini Breadcrumb */
.Breadcrumb-mini {
    background: var(--primary);
    border-bottom: var(--border-dark);
    border-top: var(--border-dark);
}
.Breadcrumb-mini .container {
    padding: 25px 0;
}

/* -----Common part------ */
.pg-navigator {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 12px;
}

.pg-navigator p {
    font-size: 0.875rem;
    font-weight: 400;
    letter-spacing: 1px;
    text-decoration: none;
    color: var(--text-fff);
    margin: 0;
    font-family: var(--secoundry-font);
    text-transform: capitalize;
}
.Breadcrumb-mini .pg-navigator p {
    color: var(--secoundry);
}

.pg-navigator a {
    font-size: 0.875rem;
    font-weight: 200;
    letter-spacing: 1px;
    text-decoration: none;
    text-transform: capitalize;
    color: var(--primary);
    font-family: var(--secoundry-font);
    transition: var(--Ltrns);
}
.Breadcrumb-mini .pg-navigator a {
    color: white;
}
.pg-navigator a:hover {
    color: var(--link-color);
}

.pg-navigator span {
    font-size: 0.9rem;
    color: var(--text-200);
}

@media (max-width: 800px) {
    .Breadcrumb-mini .container {
        padding: 1.125rem 0;
    }

    .pg-navigator :is(a, span, p) {
        font-size: 0.8rem;
    }
}

/* ****************************
              Tag Div
  ******************************* */
.tag-col {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 15px;
    padding: 0;
}

.tag-col strong {
    padding: 8px 12px;
    background-color: white;
    color: var(--secoundry);
    border-radius: 50px;
    display: flex;
    align-items: center;
    gap: 5px;
    transition: var(--Ltrns);
}
.tag-col strong:hover {
    transform: translateY(-3px);
}
.tag-col strong button {
    font-size: 8px;
    flex-shrink: 0;
}
.tag-col strong span {
    flex-shrink: 0;
    font-size: 14px;
}

@media (max-width: 991px) {
    .tag-col {
        padding-top: 30px;
    }

    .tag-col strong span {
        font-size: 13px;
    }
}

@media (max-width: 666px) {
    .tag-col strong button {
        font-size: 5px;
    }
    .tag-col strong span {
        font-size: 10px;
    }
}

/*******************************
         HEADINGS (#hd005)
  ********************************/
/* Big Heading  */
.bigHD {
    --f-size: 5rem;
    font-size: var(--f-size);
    line-height: calc(var(--f-size) + 0.4rem);
    font-weight: 600;
    margin-top: -0.6rem;
}

/* Main Heading  */
.mainHD {
    --f-size: 2.6rem;
    font-size: var(--f-size);
    line-height: calc(var(--f-size) + 0.4rem);
    font-weight: 600;
    color: var(--text-100);
    text-transform: capitalize;
}

/* Sub Heading  */
.subHD {
    --f-size: 1.5rem;
    text-transform: capitalize;
    font-size: var(--f-size);
    line-height: calc(var(--f-size) + 0.4rem);
    font-weight: 500;
    color: var(--secoundry);
}

/* ===========> Help classes */
.center-it {
    text-align: center;
}
.hmb-100 {
    margin-bottom: 2rem;
}
.hmb-200 {
    margin-bottom: 1rem;
}

@media (max-width: 1200px) {
    .bigHD {
        --f-size: 2.5rem;
    }
}

@media (max-width: 858px) {
    .mainHD {
        --f-size: 1.7rem;
    }
}

@media (max-width: 768px) {
    .bigHD {
        --f-size: 1.8rem;
    }

    .subHD {
        --f-size: 1.2rem;
    }
}

@media (max-width: 510px) {
    .mainHD {
        --f-size: 1.6rem;
    }
}

/*******************************
          BUTTONS (#BTN004)
********************************/
/* ===> 🌟 Help classes of btns 🌟 +++++++++ */
.btn-w100 {
    width: 100%;
}
.btn-min-w {
    width: 100%;
    max-width: 12.5rem;
}

.special-btn {
    display: flex !important;
    text-align: start !important;
    align-items: center;
}
.special-btn span {
    display: flex;
    align-items: center;
    width: 1.6rem;
    margin-right: 0.9rem;
    flex-shrink: 0;
    border-right: 1px solid rgba(255, 255, 255, 0.344);
    height: 100%;
    border-color: rgba(64, 64, 64, 0.344);
}

/* ===> 🌟 Size Varients of btn 🌟 +++++++++ */
.btn-sm {
    font-weight: 500;
    padding: 0.4rem 1rem;
    font-size: 0.65rem;
    border-radius: var(--radious-sec);
    text-align: center;
    color: var(--text-100);
    display: inline-block;
    text-transform: capitalize;
}

/* Medium Size Btn (btn-md) */
.btn-md {
    font-weight: 500;
    padding: 0.6rem 1.2rem;
    font-size: 0.85rem;
    border-radius: var(--radious-sec);
    text-align: center;
    color: var(--text-100);
    display: inline-block;
    text-transform: capitalize;
}

@media (max-width: 800px) {
    .btn-md {
        padding: 0.5rem 0.75rem;
        font-size: 0.75rem;
    }
}

/* ===> 🌟 Btn varient by color 🌟 +++++++++ */
/* Primary Btn  */
.btn-prim {
    background: white;
    color: var(--text-100);
    border: 2px solid var(--secoundry);
    transition: var(--Etrns);
}
.btn-prim:is(:hover, :active) {
    background: white;
    color: var(--primary);
    border: 2px solid var(--secoundry);
    transform: var(--btn-transform);
}

.btn-prim:disabled {
    background: white !important;
    color: var(--text-100) !important;
    border: 2px solid var(--secoundry) !important;
    opacity: 0.3 !important;
    transform: translateY(0) !important;
}

/* Link Btn primary */
.btn-link {
    background: transparent;
    color: var(--text-100);
    border: 2px solid transparent;
    transition: var(--Etrns);
}
.btn-link:is(:hover, :active) {
    color: white;
}
/* ****************************
           Social Icons
******************************* */
.social-icons-div {
    display: flex;
}
.social-icons-div > *:not(:last-child) {
    margin-right: 0.625rem;
}
.social-icons-div a {
    text-decoration: none;
    display: grid;
    place-items: center;
    width: 25px;
    height: 25px;
    border-radius: 100%;
    font-size: 10px;
    color: var(--text-200);
    border: 2px solid var(--text-200);
    transition: var(--Etrns);
}
.social-icons-div a:hover {
    color: white;
    border: 2px solid white;
    transform: translateY(-2px);
}
.h-primary-s .social-icons-div a:hover {
    color: var(--primary);
    border: 2px solid var(--primary);
    transform: translateY(-2px);
}
.social-icons-div a i {
    margin-bottom: -1px;
}

/* ****************************
        ARCHIVE CARD
  ******************************* */
/* --------------- */
.archive-card {
    background-color: var(--bg-fff);
    border: var(--border-dark);
    border-radius: var(--radious-prim);
    overflow: hidden;
    transform: translate3d(0, 0, 0);
    padding: 0.8rem;
    position: relative;
}
.archive-card .img-box {
    aspect-ratio: 2/1.3;
    position: relative;
    overflow: hidden;
    transform: translate3d(0, 0, 0);
    width: 100%;
    margin-bottom: 0.9rem;
    background: var(--bg-300);
    border-radius: var(--radious-prim);
}
.archive-card .img-box a {
    height: 100%;
    width: 100%;
}

.archive-card .img-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: var(--Etrns);
}
.archive-card .img-box img.featured {
    position: relative;
    z-index: +1;
}
.archive-card:hover .img-box img.featured {
    opacity: 0;
}
.archive-card .img-box img.hovered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
}
.archive-card:hover .img-box img.hovered {
    opacity: 1;
    animation: zoomin 1s forwards linear;
}
@keyframes zoomin {
    from {
        width: 100%;
        height: 100%;
    }
    to {
        width: 104%;
        height: 104%;
    }
}

/* Title */
.archive-card .content-box .title {
    font-size: 0.9rem;
    color: var(--text-100);
    margin-bottom: 0;
    font-weight: 500;
    transition: var(--Etrns);
}

.archive-card .content-box .title:hover {
    color: var(--primary);
}

.archive-card .content-box .categories {
    margin-bottom: 0.2rem;
    display: flex;
    flex-wrap: wrap;
    gap: 0.4rem;
}

.archive-card .content-box .categories span {
    display: inline-block;
    font-size: 0.7rem;
    font-weight: 500;
    color: var(--primary);
}
.archive-card .content-box .categories span:not(:last-child):after {
    content: "|";
    color: var(--text-400);
    padding-left: 0.4rem;
}

/* Rate */
.archive-card .content-box .rate-stock-box {
    display: flex;
    align-items: flex-end;
    flex-wrap: wrap;
    margin-top: 0.4rem;
    gap: 0.5rem;
}
.archive-card .content-box .rate-stock-box .rate {
    display: inline-block;
    font-weight: 600;
    font-size: 0.8rem;
    color: var(--text-200);
    margin-right: 0.2rem;
}
.archive-card .content-box .rate-stock-box .rate.old {
    color: var(--text-300);
    font-size: 0.7rem;
}

/* stock */
.archive-card .content-box .rate-stock-box .stock {
    font-size: 0.7rem;
}

/* Product stock-A */
.stock {
    display: inline-block;
    font-weight: 600;
    font-size: 0.8rem;
}
.stock.in {
    color: rgb(3, 162, 88);
}
.stock.out {
    color: rgb(255, 111, 111);
}

.archive-card .sale-tag {
    position: absolute;
    top: 0.7rem;
    left: 0.7rem;
    display: inline-block;
    align-items: center;
    padding: 0.25rem 0.7rem;
    background-color: #fa4c4c;
    border-radius: var(--radious-sec);
    color: white;
    text-transform: capitalize;
    font-weight: 500;
    font-size: 11px;
    z-index: +2;
    box-shadow: 0 8px 16px 0 #fb4a4a3c;
}

/* ==> POP BOX (Cart btn)*/
.archive-card .pop-box {
    position: absolute;
    bottom: 0.5rem;
    right: 0.5rem;
    z-index: +2;
    display: flex;
    flex-direction: column;
}

.archive-card .pop-box button {
    width: 2rem;
    height: 2rem;
    padding: 0;
    display: grid;
    justify-content: center;
    align-items: center;
    background-color: white;
    border: 2px solid var(--secoundry);
    border-radius: 100%;
    color: var(--text-100);
    opacity: 0;
    font-size: 0.65rem;
    transition: var(--Etrns);
}
.archive-card .pop-box button:hover,
.archive-card .pop-box button.active {
    color: var(--primary);
    border: 2px solid var(--primary);

    transform: scale(1.1);
}
.archive-card:hover .pop-box button {
    animation: poopin 0.5s ease forwards;
}
@keyframes poopin {
    0% {
        transform: translateX(100%);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@media (max-width: 800px) {
    .archive-card .img-box {
        aspect-ratio: 2/1.7;
    }

    .archive-card .content-box .title {
        font-size: 0.8rem;
    }

    .archive-card .content-box .categories {
        font-size: 0.7rem;
    }

    .archive-card .pop-box button {
        transform: translateX(0);
        opacity: 1;
    }

    .archive-card .content-box .rate-stock-box {
        flex-direction: column;
        align-items: flex-start;
        flex-wrap: wrap;
    }

    .archive-card .pop-box button {
        width: 1.7rem;
        height: 1.7rem;
        font-size: 0.5rem;
    }

    .archive-card .sale-tag {
        padding: 0.2rem 0.5rem;
        font-size: 0.6rem;
    }
}

/* ****************************
     QUANTITY + / - (#qty256)
******************************* */
.qty-box {
    display: flex;
    padding: 0.4rem 0;
    border: var(--border-input);
    border-radius: var(--radious-prim);
    width: fit-content;
    overflow: hidden;
    transform: translate3d(0, 0, 0);
}

.qty-box .num {
    padding: 0.2rem;
    border-left: 1px solid #dee2e6;
    border-right: 1px solid #dee2e6;
    width: 3.5rem;
    display: grid;
    place-items: center;
    font-size: 0.8rem;
    font-weight: 600;
    font-family: var(--secoundry-font);
}

.qty-box button {
    padding: 0.4rem 0.6rem;
    display: grid;
    place-items: center;
    flex-shrink: 0;
    color: var(--secoundry);
    font-size: 0.7rem;
    transition: all 0.5s ease;
}

.qty-box button:is(:hover, :focus) {
    color: var(--text-100);
}

/* ****************************
        OWL </> Btns Styling
  ******************************* */
.owl-nav button {
    width: 2rem;
    height: 2rem;
    display: grid !important;
    place-items: center;
    background: var(--bg-300) !important;
    border-radius: 100% !important;
    border: 2px solid var(--secoundry) !important;
    color: var(--secoundry) !important;
    transition: var(--Ltrns);
}
.owl-nav button:hover {
    background-color: var(--primary) !important;
    color: white !important;
}

/* ****************************
           Meta Box
  ******************************* */
.meta-box {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin: 0.2rem 0;
}

.meta-box > span {
    color: var(--text-200);
    font-size: 0.7rem;
    font-weight: 500;
    display: inline-block;
    position: relative;
}

.meta-box > span:not(:last-child) {
    padding-right: 0.75rem;
}
.meta-box > span:not(:first-child) {
    padding-left: 0.75rem;
}

.meta-box > span:not(:last-child)::after {
    content: "|";
    position: absolute;
    top: 50%;
    right: 0;
    color: var(--text-300);
    transform: translateY(-50%);
    opacity: 0.8;
}

/* === Auther box === */
.meta-box .itsMe {
    display: flex;
    align-items: center;
}
.meta-box .itsMe img {
    width: 30px;
    height: 30px;
    object-fit: cover;
    border-radius: 100%;
    border: 2px solid var(--primary);
    margin-right: 5px;
    flex-shrink: 0;
}
.meta-box .itsMe b {
    color: var(--text-100);
    flex-shrink: 0;
    font-weight: 600;
    display: inline-block;
    margin-left: 0.2rem;
}

@media (max-width: 770px) {
    .meta-box span {
        font-size: 0.625rem;
    }
}

/* ****************************
            Sidebar Cards
  ******************************* */
/* =====> Side Card CSS  */
.side-cards {
    margin-bottom: 2.5rem;
    padding: 1.25rem;
    border: 2px solid black;
    border-radius: var(--radious-prim);
    background: var(--primary);
}

.side-cards .subHD {
    font-size: 1.2rem;
}

/* === CATEGORY Filter === */
.category-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.category-list li {
    display: flex;
    align-items: center;
    gap: var(--gap-card);
    justify-content: space-between;
    cursor: pointer;
    font-size: 0.875rem;
    font-weight: 500;
    color: var(--text-100);
    margin-bottom: 0.5rem;
    transition: var(--Ltrns);
}
.category-list li:not(:last-child) {
    padding-bottom: 0.6rem;
    border-bottom: 1px solid rgb(79 79 79 / 19%);
}

.category-list li h4 {
    text-align: start;
    flex-grow: 1;
    margin: 0;
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
    text-transform: capitalize;
    transition: var(--Etrns);
}
.category-list li:hover h4,
.category-list li.active h4 {
    transform: translateX(3px);
}

.category-list li span {
    display: inline-block;
    font-family: var(--secoundry-font);
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
    flex-shrink: 0;
    transition: var(--Ltrns);
}

/* ++++ List <ul> === */
.list-ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.list-ul li {
    display: flex;
    margin-bottom: 0.5rem;
    gap: calc(var(--gap-card) / 2);
}

.list-ul li:not(:last-child) {
    padding-bottom: 0.6rem;
    border-bottom: 1px solid rgb(79 79 79 / 19%);
}

.list-ul li .img-a {
    flex-shrink: 0;
    line-height: 0;
    display: inline-block;
    transition: var(--Etrns);
}
.list-ul li:hover .img-a {
    transform: scale(1.1);
}
.list-ul li img {
    width: 3.5rem;
    height: auto;
    border-radius: var(--radious-prim);
}
.list-ul li .txt-box {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.list-ul li .mytitle {
    font-family: var(--secoundry-font);
    font-size: 0.9rem;
    font-weight: 500;
    color: var(--text-100);
    margin-bottom: 0.1rem;
    transition: var(--Etrns);
}
.list-ul li .mytitle:hover {
    transform: translateX(3px);
}

/*========================================== 
==> STYLISH CHECK / RADIO BTN (#syrc5458)
===========================================*/
.Choose-Box {
    margin-bottom: 2rem;
}
.Choose-Box h6 {
    font-weight: 600;
    font-size: 0.9rem;
    margin-bottom: 0.5rem;
    color: var(--text-100);
}

.stylish-check :is(input[type="radio"], input[type="checkbox"]) {
    -webkit-appearance: none;
    display: none;
}

.stylish-check label {
    display: inline-block;
    font-size: 0.8rem;
    padding: 5px;
    min-width: 2rem;
    min-height: 2rem;
    text-align: center;
    background: var(--bg-fff);
    color: var(--text-200);
    font-weight: 500;
    border: var(--border-dark);
    border-radius: var(--radious-prim);
    cursor: pointer;
}
.stylish-check
    :is(
        input[type="radio"]:checked + label,
        input[type="checkbox"]:checked + label
    ) {
    border: 2px solid var(--secoundry);
    color: var(--secoundry);
}

/* --------------------------
            Top Filter Row
  ---------------------------- */
.top-filter-row {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    align-self: center;
    justify-content: space-between;
    margin-bottom: 40px;
}

.top-filter-row .filter-btn-div {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
}
.top-filter-row .filter-btn-div button {
    flex-shrink: 0;
    background-color: var(--bg-200);
    color: var(--text-200);
}

.top-filter-row .filter-btn-div button:hover,
.top-filter-row .filter-btn-div button.active {
    background-color: var(--primary-lite);
    color: var(--primary);
}
.top-filter-row .filter-btn-div .btn-filter {
    display: none;
}

@media (max-width: 991px) {
    .top-filter-row .filter-btn-div .btn-filter {
        display: inline-block;
    }
}

/* --------------------------
            No products Div
  ---------------------------- */
.empty-box {
    background-color: var(--primary-lite);
    padding: 16px;
    border-radius: var(--radious-sec);
    margin-top: 40px;
}
.empty-box p {
    color: var(--primary);
    margin: 0;
}
.empty-box p i {
    margin-right: 10px;
}

/* --------------------------
        TRACKERS
---------------------------- */
.tracker {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--gap-card);
    margin-top: 1rem;
}
.tracker .tracker-card {
    display: flex;
    align-items: center;
    padding: 0.6rem;
    border-radius: var(--radious-prim);
    background: var(--bg-200);
    transition: var(--Ltrns);
}
.tracker .tracker-card > *:not(:last-child) {
    margin-right: 0.6rem;
}
.tracker .tracker-card:hover {
    transform: translateX(-3px);
}

.tracker .right-div .tracker-card {
    justify-content: flex-end;
}
.tracker .right-div .tracker-card:hover {
    background: var(--bg-200);
    transform: translateX(3px);
}

.tracker .tracker-card img {
    width: 3.5rem;
    height: 3rem;
    border-radius: var(--radious-prim);
    object-fit: cover;
    background: var(--bg-100);
    flex-shrink: 0;
}
.tracker .tracker-card > i {
    color: var(--primary);
    font-size: 0.9rem;
}
.tracker .tracker-card .title {
    color: var(--text-Dark);
    font-size: 0.9rem;
    font-weight: 400;
    margin-bottom: 0;
}
.tracker .tracker-card .title:hover {
    color: var(--primary);
}

@media (max-width: 700px) {
    .tracker {
        grid-template-columns: repeat(1, 1fr);
    }

    .tracker .tracker-card {
        background: var(--bg-200);
    }
}

/* --------------------------
        TAB PANNEL
---------------------------- */
.tabPanel {
    padding: 1.7rem 2rem;
    border: var(--border-dark);
    border-radius: var(--radious-prim);
    /* background: var(--primary); */
}

.tabs {
    list-style: none;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 2rem;
    gap: calc(var(--gap-card) / 2);
    width: fit-content;
}

.tabs li {
    font-family: var(--secoundry-font);
    font-weight: 400;
    color: var(--text-200);
    border: 2px solid rgb(237, 237, 237);
    background: var(--bg-fff);
    display: inline-block;
    padding: 0.5rem 0.8rem;
    font-size: 0.9rem;
    border-radius: 50px;
    cursor: pointer;
    transition: var(--Ltrns);

    &:hover {
        border: 2px solid rgb(208, 207, 207);
        transform: translateY(-2px);
    }

    &.active {
        border: 2px solid var(--secoundry);
        color: var(--primary);
    }
}

.all-panels > div {
    display: none;
}
.all-panels > div.show {
    display: block;
}

@media (max-width: 700px) {
    .tabPanel {
        padding: 1rem;
    }

    .tabs li {
        padding: 0.4rem 0.7rem;
        font-size: 0.8rem;
    }
}

/* --------------------------
    POPUP MSG BOX (#POP5458)
---------------------------- */
.pop-msg-box {
    border-radius: var(--radious-prim);
    padding: 0.7rem 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--gap-card);
    margin: 1.25rem 0;
    font-size: 0.75rem;
}
.pop-msg-box.hide {
    transform-origin: top right;
    -webkit-transform-origin: top right; /* WebKit */
    -moz-transform-origin: top right; /* Mozilla */
    -o-transform-origin: top right; /* Opera */
    animation: anihide 0.4s linear forwards;
    -webkit-animation: anihide 0.4s linear forwards;
    -moz-animation: anihide 0.4s linear forwards;
    -o-animation: anihide 0.4s linear forwards;
}

@keyframes anihide {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    95% {
        transform: scale(0);
        opacity: 0;
    }

    100% {
        transform: scale(0);
        opacity: 0;
        display: none;
    }
}

.pop-msg-box p {
    font-weight: 400;
    margin: 0;
    font-family: var(--secoundry-font);
}
.pop-msg-box p b {
    font-weight: 600;
}
.pop-msg-box .closeit {
    font-size: 1.13rem;
    flex-shrink: 0;
}

/* ==> choose Theme */
/* -- Warnning */
.pop-msg-box.warning {
    background: #fff3cd;
    border: 1px solid #ffecb5;
}
.pop-msg-box.warning :is(p, .closeit) {
    color: rgb(102, 77, 3);
    transition: var(--Ltrns);
}
.pop-msg-box.warning .closeit:hover {
    color: rgb(169, 128, 3);
}

/* -- Success */
.pop-msg-box.success {
    background: #d1e7dd;
    border: 1px solid #a3cfbb;
}
.pop-msg-box.success :is(p, .closeit) {
    color: #0a3622;
    transition: var(--Ltrns);
}
.pop-msg-box.success .closeit:hover {
    color: #a3cfbb;
}

/* -- Danger */
.pop-msg-box.danger {
    background: #fde9e8;
    border: 1px solid #f84b45;
}
.pop-msg-box.danger :is(p, .closeit) {
    color: #790808;
    transition: var(--Ltrns);
}
.pop-msg-box.danger .closeit:hover {
    color: #cfa3a3;
}

/* -- Information */
.pop-msg-box.info {
    background: var(--bg-300);
    border: 1px solid var(--secoundry);
}
.pop-msg-box.info :is(p, .closeit) {
    color: var(--secoundry);
    transition: var(--Ltrns);
}
.pop-msg-box.info .closeit:hover {
    color: var(--prim-200);
}

/* --------------------------
    TEXT LINE (#TXT5485)
---------------------------- */
.text-line {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: calc(var(--gap-card) / 2);
}
.text-line div {
    height: 1px;
    background: rgba(226, 226, 226, 0.604);
    flex-grow: 1;
}
.text-line span {
    display: inline-block;
    flex-shrink: 0;
    font-size: 0.9rem;
    color: var(--text-200);
}

/* --------------------------
          ACCORDION
  ---------------------------- */
.Accordion {
    -webkit-transition: var(--Ltrns);
    -o-transition: var(--Ltrns);
    transition: var(--Ltrns);
}

.Accordion summary {
    all: unset;
    display: block;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    padding: 20px;
    border-radius: var(--radious-sec);
    background: var(--primary);
    border: 2px solid var(--secoundry);
    -webkit-transition: var(--Ltrns);
    -o-transition: var(--Ltrns);
    transition: var(--Ltrns);
}
summary::marker {
    display: none;
}
.Accordion summary .summary-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.Accordion summary .summary-content > *:not(:last-child) {
    margin-right: var(--gap-card);
}

.Accordion summary .summary-content .title {
    color: var(--txt-100);
    font-size: 0.9rem;
    margin: 0;
    font-weight: 400;
    flex-grow: 1;
}

/* Adding animation */
.Accordion summary .summary-content .icon {
    color: var(--txt-dark);
    font-size: 17px;
    flex-shrink: 0;
    -webkit-transition: var(--Ltrns);
    -o-transition: var(--Ltrns);
    transition: var(--Ltrns);
}
.Accordion[open] summary .summary-content .icon {
    -webkit-transform: rotate(44deg);
    -ms-transform: rotate(44deg);
    transform: rotate(44deg);
}

/* Adding Body */
.Accordion .accordion-body {
    background: #fcfcff;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    padding: 1.2rem;
    border-radius: var(--radious-sec);
    border: var(--border-prim);
    margin: 0.625rem 0 1.25rem 0;
}

@media (max-width: 800px) {
    .Accordion summary .title {
        font-size: 13px;
    }
}

/* --------------------------
              TABLE
---------------------------- */
table {
    width: 100%;
    vertical-align: middle;
    border-spacing: 0;
    margin: 2rem 0;
}

table th,
table td {
    padding: 0.5rem 0.8rem;
    text-align: start;
}

table [dir="rtl"] th,
table [dir="rtl"] td {
    text-align: start;
}

table th {
    font-weight: 600;
    text-transform: capitalize;
    color: var(--text-100);
}

table.bordered td,
table.bordered th {
    border: var(--border-input);
    border-collapse: collapse;
}

.table-responsive {
    overflow-x: auto;
}

/* Responsive scrollbar of table  */
.table-responsive::-webkit-scrollbar {
    height: 3px;
    background-color: #eeeeee;
}
.table-responsive::-webkit-scrollbar-thumb {
    background: #cfcfcf;
}

.mob-view-table .data-label {
    display: none;
}

/* Mobile responsive table setting */
@media (max-width: 800px) {
    .mob-view-table .data-label {
        display: block;
        border-right: var(--border-dark);
    }

    .mob-view-table thead {
        display: none;
    }

    .mob-view-table tbody tr td:first-child {
        width: auto;
    }

    .mob-view-table,
    .mob-view-table tbody,
    .mob-view-table tr {
        display: block;
        width: 100%;
    }
    .mob-view-table tbody tr {
        border: var(--border-dark);
        margin-bottom: var(--gap-card);
        overflow: hidden;
        transform: translate3d(0, 0, 0);
    }

    .mob-view-table tbody tr :where(th, td) {
        width: 100%;
        display: grid;
        grid-template-columns: 1fr 2fr;
        gap: 15px;
        align-items: center;
        max-width: none;
        padding: 12px;
        border-bottom: var(--border-dark);
    }
}

/* --------------------------
       NO DATA LABLE
---------------------------- */
.no-data {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 35dvh;
}
.no-data h6 {
    color: var(--text-Dark);
}
